## rheolef 6.6

=== debian/changelog ===
rheolef (6.6-1build2) xenial; urgency=medium

  * No-change rebuild for openmpi transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Feb 2016 11:39:18 +0000

rheolef (6.6-1build1) xenial; urgency=medium

  * No-change rebuild against suitesparse 1:4.4.5-2

 -- Graham Inggs <graham@nerve.org.za>  Tue, 01 Dec 2015 14:12:33 +0200

rheolef (6.6-1) unstable; urgency=low

  * new upstream release 6.6 (minor changes):
     - source code compile now with g++-5.2 (closes: #778106)
     - visualization: paraview support improved
     - variadic support: i/o with branch class and expressions compose(f,u1..uN)
     - piola inverse transformation in nonlinear cases (quadrangles, curved)
       with damped_newton algorithms
     - sparse matrix determinant computations in solver (mumps o umfpack)
     - write in append mode for gziped parallel output files (branch; etc)
  * control: 
    * Standards-Version updated to version 3.9.6
    * Recommends: replace gnuplot by gnuplot-x11
  * rules: automatically generated compilation flags (fortify)
  * source/lintian-overrides: smooth some too severe repports

 -- Pierre Saramito <pierre.saramito@imag.fr>  Thu, 10 Sep 2015 13:41:28 +0200
