=== debian/control ===
Source: rheolef
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Pierre Saramito <pierre.saramito@imag.fr>
Homepage: http://ljk.imag.fr/membres/Pierre.Saramito/rheolef
Build-Depends: debhelper (>=7), autoconf, automake, libtool, flex, bison, chrpath, bsdmainutils,
 libboost-dev, libboost-iostreams-dev, libboost-mpi-dev,
 libcgal-dev, liblapack-dev, libscotch-dev, libptscotch-dev,
 libsuitesparse-dev, libmumps-dev, libmumps-seq-dev,
 texinfo, texlive-latex-recommended, texlive-latex-extra,
 texlive-math-extra, texlive-font-utils, texlive-fonts-recommended, cm-super
# Note: add libtrilinos-dev when available
# I dont known how to do something like this (Pierre.Saramito@imag.fr):
#  Build-Recommands: libtrilinos-dev
# since rheolef takes advantage of libtrilinos-dev and it is available only on some versions
Standards-Version: 3.9.6
Vcs-Svn:      svn://anonscm.debian.org/debian-science/packages/rheolef/trunk/
Vcs-Browser: http://anonscm.debian.org/viewsvn/debian-science/packages/rheolef/trunk/

Package: librheolef1
Section: libs
#Architecture: amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 s390x sparc
#Architecture-not-consideded: armel armhf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: rheolef-doc(= ${source:Version})
Description: efficient Finite Element environment - shared library
 Rheolef is a computer environment that serves as a convenient
 laboratory for computations in applied mathematics involving finite
 element-like methods. It provides a set of commands and C++ algorithms
 and containers.
 .
 Most basically, containers cover the classic graph data structure for
 sparse matrix formats and finite element meshes. At a higher level of
 abstraction, they can handle approximate finite element spaces, discrete
 fields. Flexible and powerful expressions are used to specify bilinear forms.
 .
 Current applications include:
  * massively distributed memory finite element environment, based on MPI;
  * Poisson problems in d=1,2 and 3 dimension with high order Lagrange elements,
    up to fifth order;
  * linear elasticity, including incompressible and nearly incompressible
    elasticity;
  * Stokes problems in d=2 or 3 dimension, with P2-P1 or P1 bubble-P1 elements;
  * characteristic method for convection-diffusion, time-dependent
    problems and Navier-Stokes equations;
  * nonlinear problems with either fixed-point algorithms or a provided generic
    damped Newton solver;
  * auto-adaptive mesh approaches;
  * axisymmetric problems;
  * multi-regions and variable coefficient problems.
 .
 This package provides the shared library.

Package: librheolef-dev
Section: libdevel
#Architecture: amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 s390x sparc
#Architecture-not-consideded: armel armhf
Architecture: any
Depends: librheolef1(= ${binary:Version}), g++, 
 libboost-dev, libboost-iostreams-dev, libboost-mpi-dev,
 libcgal-dev, liblapack-dev, libscotch-dev, libptscotch-dev,
 libsuitesparse-dev, libmumps-dev, libmumps-seq-dev, 
 ${misc:Depends}
Recommends: rheolef-doc(= ${source:Version})
Suggests:
Breaks: rheolef (<< 6.4)
Replaces: rheolef (<< 6.4)
Description: efficient Finite Element environment - development files
 Rheolef is a computer environment that serves as a convenient
 laboratory for computations in applied mathematics involving finite
 element-like methods. It provides a set of commands and C++ algorithms
 and containers.
 .
 Most basically, containers cover the classic graph data structure for
 sparse matrix formats and finite element meshes. At a higher level of
 abstraction, they can handle approximate finite element spaces, discrete
 fields. Flexible and powerful expressions are used to specify bilinear forms.
 .
 Current applications include:
  * massively distributed memory finite element environment, based on MPI;
  * Poisson problems in d=1,2 and 3 dimension with high order Lagrange elements,
    up to fifth order;
  * linear elasticity, including incompressible and nearly incompressible
    elasticity;
  * Stokes problems in d=2 or 3 dimension, with P2-P1 or P1 bubble-P1 elements;
  * characteristic method for convection-diffusion, time-dependent
    problems and Navier-Stokes equations;
  * nonlinear problems with either fixed-point algorithms or a provided generic
    damped Newton solver;
  * auto-adaptive mesh approaches;
  * axisymmetric problems;
  * multi-regions and variable coefficient problems.
 .
 This package provides the headers required for development.

Package: rheolef-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Conflicts: librheolef-doc
Replaces: librheolef-doc
Description: efficient Finite Element environment - documentation
 Rheolef is a computer environment that serves as a convenient
 laboratory for computations in applied mathematics involving finite
 element-like methods. It provides a set of commands and C++ algorithms
 and containers.
 .
 Most basically, containers cover the classic graph data structure for
 sparse matrix formats and finite element meshes. At a higher level of
 abstraction, they can handle approximate finite element spaces, discrete
 fields. Flexible and powerful expressions are used to specify bilinear forms.
 .
 Current applications include:
  * massively distributed memory finite element environment, based on MPI;
  * Poisson problems in d=1,2 and 3 dimension with high order Lagrange elements,
    up to fifth order;
  * linear elasticity, including incompressible and nearly incompressible
    elasticity;
  * Stokes problems in d=2 or 3 dimension, with P2-P1 or P1 bubble-P1 elements;
  * characteristic method for convection-diffusion, time-dependent
    problems and Navier-Stokes equations;
  * nonlinear problems with either fixed-point algorithms or a provided generic
    damped Newton solver;
  * auto-adaptive mesh approaches;
  * axisymmetric problems;
  * multi-regions and variable coefficient problems.
 .
 This package provides the documentation.

Package: rheolef
Section: math
#Architecture: amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 s390x sparc
#Architecture-not-consideded: armel armhf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  librheolef-dev(= ${binary:Version}), rheolef-doc(= ${source:Version})
Recommends: gmsh, gnuplot-x11, paraview, paraview-python, 
  mayavi2 | mayavi, tcl-vtk | vtk-tcl
Breaks: rheolef-dev (<< 6.4)
Replaces: rheolef-dev (<< 6.4)
Description: efficient Finite Element environment
 Rheolef is a computer environment that serves as a convenient
 laboratory for computations in applied mathematics involving finite
 element-like methods. It provides a set of commands and C++ algorithms
 and containers.
 .
 Most basically, containers cover the classic graph data structure for
 sparse matrix formats and finite element meshes. At a higher level of
 abstraction, they can handle approximate finite element spaces, discrete
 fields. Flexible and powerful expressions are used to specify bilinear forms.
 .
 Current applications include:
  * massively distributed memory finite element environment, based on MPI;
  * Poisson problems in d=1,2 and 3 dimension with high order Lagrange elements,
    up to fifth order;
  * linear elasticity, including incompressible and nearly incompressible
    elasticity;
  * Stokes problems in d=2 or 3 dimension, with P2-P1 or P1 bubble-P1 elements;
  * characteristic method for convection-diffusion, time-dependent
    problems and Navier-Stokes equations;
  * nonlinear problems with either fixed-point algorithms or a provided generic
    damped Newton solver;
  * auto-adaptive mesh approaches;
  * axisymmetric problems;
  * multi-regions and variable coefficient problems.
 .
 This package provides the rheolef commands. These support input and
 output in various file formats for mesh-generators and numerical data
 visualization systems such as MayaVi, Paraview, and gnuplot.
