## rheolef 6.7

=== debian/changelog ===
rheolef (6.7-6) unstable; urgency=medium

  * d/rules:
    - autoconf/automake regeneration forced, since configure.ac is patched
    - dh_auto_test delayed to the next 7.0 upstream version (closes: #888879)
  * d/*.install: pkglibdir changed to usr/lib/*/rheolef for multiarch
  * d/control:
    - Build-Depends: autoconf, automake & libtool added
    - Description: updated
  * d/patch: remove skip_failing_tests.patch
  * d/README.Debian: completed
  * d/compat: decreased from 11 to 9, for smooth (old)stable package building
         also decreased in d/control for debhelper dependency in Build-Depends

 -- Pierre Saramito <pierre.saramito@imag.fr>  Fri, 16 Feb 2018 12:19:06 +0100

rheolef (6.7-5) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * debhelper 11
  * d/rules: use short dh
    this enables multiarch (adapted install targets)
  * hardening=+all
  * Exclude two failing tests which probably failed as well before but
    debian/rules did not triggered build time tests and thus it was not
    realised
  * DEP5 fixes

 -- Andreas Tille <tille@debian.org>  Mon, 29 Jan 2018 11:27:32 +0100

rheolef (6.7-4) unstable; urgency=low

  * patches:
    - cgal-4-11.pach: supports experimental libcgal >= 4.11 (closes: #871811)
      thanks to Joachim Reichel <reichel@debian.org>
    - mpi-autodetect.patch: fixes openmpi and libscotch autodetection in
      autoconf files
  * rules: add -g compilation flag for debug symbols 
  * control: Standards-Version updated to 4.1.1
  * compat:  debhelper version updated to 9

 -- Pierre Saramito <pierre.saramito@imag.fr>  Sat, 11 Nov 2017 08:16:06 +0100

rheolef (6.7-3) unstable; urgency=medium

  * Team upload
  * Do not treat all compilers warnings as errors, 
    this avoids a FTBFS with GCC 7 (Closes: #853641)

 -- Graham Inggs <ginggs@debian.org>  Mon, 07 Aug 2017 18:25:34 +0200

rheolef (6.7-2) unstable; urgency=medium

  * Team upload
  * Build everywhere (Closes: #842946)
  * Switch build-dependency on texlive-math-extra to texlive-science
    (Closes: #867102)

 -- Graham Inggs <ginggs@debian.org>  Mon, 17 Jul 2017 11:18:47 +0200

rheolef (6.7-1) unstable; urgency=low

  * new upstream release 6.7 (minor changes):
     - fix for latex documentation build  (closes: #824788)
     - source code compile now with g++-6 (closes: #811590)

  * control: 
    - architectures:
      armel armhf s390x s390 ia64 sparc : not considered (compliation problems)
    - depends:
      libmumps-dev replaced by libmumps-ptscotch-dev, libmumps-scotch-dev

 -- Pierre Saramito <pierre.saramito@imag.fr>  Sat, 21 Nov 2015 16:54:21 +0200
