=== debian/control ===
Source: rheolef
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Pierre Saramito <pierre.saramito@imag.fr>
Section: math
Priority: optional
Build-Depends: debhelper (>= 9~),
	       autoconf,
               automake,
               libtool,
               flex,
               bison,
               openssh-client,
               chrpath,
               bsdmainutils,
               libboost-dev,
               libboost-iostreams-dev,
               libboost-mpi-dev,
               libcgal-dev,
               liblapack-dev,
               libscotch-dev,
               libptscotch-dev,
               libsuitesparse-dev,
               libmumps-scotch-dev,
               libmumps-ptscotch-dev,
               texinfo,
               texlive-latex-recommended,
               texlive-latex-extra,
               texlive-science,
               texlive-font-utils,
               texlive-fonts-recommended,
               cm-super
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/rheolef.git
Vcs-Git: https://salsa.debian.org/science-team/rheolef.git
Homepage: http://ljk.imag.fr/membres/Pierre.Saramito/rheolef

Package: librheolef1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: rheolef-doc(= ${source:Version})
Description: efficient Finite Element environment - shared library
 Rheolef is a computer environment that serves as a convenient laboratory for
 computations in applied mathematics involving finite element-like methods.
 It provides a set of commands and C++ algorithms and containers.
 .
 Most basically, containers cover the classic graph data structure for sparse
 matrix formats and finite element meshes. At a higher level of abstraction,
 they can handle approximate finite element spaces, discrete fields.
 Flexible and powerful expressions are used to specify bilinear forms.
 .
 Current applications include:
  * massively distributed memory finite element environment, based on MPI;
  * elasticity, Stokes and Navier-Stokes problems in 2D and 3D;
  * complex fluids applications: viscoplasticity, viscoelasticity, wall slip;
  * nonlinear problems with fixed-point, Newton and continuation methods;
  * high order polynomials, mixed elements and discontinuous Galerkin methods;
  * auto-adaptive mesh approaches;
  * axisymmetric problems;
  * multi-regions and variable coefficient problems.
 .
 This package provides the shared library.

Package: librheolef-dev
Architecture: any
Section: libdevel
Depends: librheolef1(= ${binary:Version}),
         g++,
         libboost-dev,
         libboost-iostreams-dev,
         libboost-mpi-dev,
         libcgal-dev,
         liblapack-dev,
         libscotch-dev,
         libptscotch-dev,
         libsuitesparse-dev,
         libmumps-scotch-dev,
         libmumps-ptscotch-dev,
         ${misc:Depends}
Recommends: rheolef-doc(= ${source:Version})
Breaks: rheolef (<< 6.4)
Replaces: rheolef (<< 6.4)
Description: efficient Finite Element environment - development files
 Rheolef is a computer environment that serves as a convenient laboratory for
 computations in applied mathematics involving finite element-like methods.
 It provides a set of commands and C++ algorithms and containers.
 .
 Most basically, containers cover the classic graph data structure for sparse
 matrix formats and finite element meshes. At a higher level of abstraction,
 they can handle approximate finite element spaces, discrete fields.
 Flexible and powerful expressions are used to specify bilinear forms.
 .
 Current applications include:
  * massively distributed memory finite element environment, based on MPI;
  * elasticity, Stokes and Navier-Stokes problems in 2D and 3D;
  * complex fluids applications: viscoplasticity, viscoelasticity, wall slip;
  * nonlinear problems with fixed-point, Newton and continuation methods;
  * high order polynomials, mixed elements and discontinuous Galerkin methods;
  * auto-adaptive mesh approaches;
  * axisymmetric problems;
  * multi-regions and variable coefficient problems.
 .
 This package provides the headers required for development.

Package: rheolef-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         install-info
Conflicts: librheolef-doc
Replaces: librheolef-doc
Description: efficient Finite Element environment - documentation
 Rheolef is a computer environment that serves as a convenient laboratory for
 computations in applied mathematics involving finite element-like methods.
 It provides a set of commands and C++ algorithms and containers.
 .
 Most basically, containers cover the classic graph data structure for sparse
 matrix formats and finite element meshes. At a higher level of abstraction,
 they can handle approximate finite element spaces, discrete fields.
 Flexible and powerful expressions are used to specify bilinear forms.
 .
 Current applications include:
  * massively distributed memory finite element environment, based on MPI;
  * elasticity, Stokes and Navier-Stokes problems in 2D and 3D;
  * complex fluids applications: viscoplasticity, viscoelasticity, wall slip;
  * nonlinear problems with fixed-point, Newton and continuation methods;
  * high order polynomials, mixed elements and discontinuous Galerkin methods;
  * auto-adaptive mesh approaches;
  * axisymmetric problems;
  * multi-regions and variable coefficient problems.
 .
 This package provides the documentation.

Package: rheolef
Architecture: any
Section: math
Depends: ${shlibs:Depends},
         ${misc:Depends},
         librheolef-dev(= ${binary:Version}),
         rheolef-doc(= ${source:Version})
Recommends: gmsh,
            gnuplot-x11,
            paraview,
            paraview-python,
            mayavi2
Breaks: rheolef-dev (<< 6.4)
Replaces: rheolef-dev (<< 6.4)
Description: efficient Finite Element environment
 Rheolef is a computer environment that serves as a convenient laboratory for
 computations in applied mathematics involving finite element-like methods.
 It provides a set of commands and C++ algorithms and containers.
 .
 Most basically, containers cover the classic graph data structure for sparse
 matrix formats and finite element meshes. At a higher level of abstraction,
 they can handle approximate finite element spaces, discrete fields.
 Flexible and powerful expressions are used to specify bilinear forms.
 .
 Current applications include:
  * massively distributed memory finite element environment, based on MPI;
  * elasticity, Stokes and Navier-Stokes problems in 2D and 3D;
  * complex fluids applications: viscoplasticity, viscoelasticity, wall slip;
  * nonlinear problems with fixed-point, Newton and continuation methods;
  * high order polynomials, mixed elements and discontinuous Galerkin methods;
  * auto-adaptive mesh approaches;
  * axisymmetric problems;
  * multi-regions and variable coefficient problems.
 .
 This package provides the rheolef commands. These support input and
 output in various file formats for mesh-generators and numerical data
 visualization systems such as MayaVi, Paraview, and gnuplot.
