## rheolef 7.0

=== debian/changelog ===
rheolef (7.0-2) unstable; urgency=medium

  * patches
     - gxx-8.patch: supports g++ >= 8.1 (closes: #897846)
     - openmpi.patch: fix the configure script for new openmpi version

 -- Pierre Saramito <pierre.saramito@imag.fr>  Mon, 29 Oct 2018 17:02:21 +0100

rheolef (7.0-1) unstable; urgency=medium

  [ Pierre Saramito ]
  * new upstream release 7.0 (major changes):
     - new complex fluids applications and continuation nonlinear solver
     - memory management and files i/o improved
     - various ports and bug fixes

  * d/control: add libarmadillo-dev and make to dependencies
               Vcs-Browser: remove the .git at end
  * d/rules:   add --enable-permissive to the configure script
  * d/librheolef1.install: updated
  * d/copyright: updated to GPL3 for the upstream
  * d/patches: removed, since integrated in the upstream package
  * d/source/lintian-overrides: fix a lintian format error

  [ Sébastien Villemot ]
  * Fix various issues in debian/copyright.
  * Use secure URL in debian/watch.
  * Remove duplicate Section in debian/control.
  * Fix lintian override for manpage section.

 -- Pierre Saramito <pierre.saramito@imag.fr>  Fri, 30 Mar 2018 11:37:20 +0200
