=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                openssh-client,
                chrpath,
                bsdmainutils,
+	       libarmadillo-dev,
                libboost-dev,
                libboost-iostreams-dev,
                libboost-mpi-dev,
@@ -26,11 +27,23 @@
                texlive-latex-recommended,
                texlive-latex-extra,
                texlive-science,
+               texlive-fonts-recommended,
                texlive-font-utils,
-               texlive-fonts-recommended,
-               cm-super
+               cm-super,
+               gnuplot (>= 5) | gnuplot5,
+               texlive-extra-utils,
+               ghostscript
+# texlive-latex-recommended : for index, float, listings, etc
+# texlive-latex-extra : for a4wide
+# texlive-science : for amstex, amsmath
+# texlive-fonts-recommended :
+# texlive-font-utils : metatype1 ; epstopdf
+# cm-super : for portable type1 fonts in pdf, usepackage[T1]{fontenc}
+# gnuplot : for figures in documentation
+# ghostscript : for ps2epsi, used for figures
+# texlive-extra-utils : for pdfcrop, used for figures
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/science-team/rheolef.git
+Vcs-Browser: https://salsa.debian.org/science-team/rheolef
 Vcs-Git: https://salsa.debian.org/science-team/rheolef.git
 Homepage: http://ljk.imag.fr/membres/Pierre.Saramito/rheolef
 
@@ -67,6 +80,8 @@
 Section: libdevel
 Depends: librheolef1(= ${binary:Version}),
          g++,
+         make,
+         libarmadillo-dev,
          libboost-dev,
          libboost-iostreams-dev,
          libboost-mpi-dev,
@@ -134,13 +149,12 @@
 
 Package: rheolef
 Architecture: any
-Section: math
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          librheolef-dev(= ${binary:Version}),
          rheolef-doc(= ${source:Version})
 Recommends: gmsh,
-            gnuplot-x11,
+            gnuplot-x11 (>= 5) | gnuplot5-x11,
             paraview,
             paraview-python,
             mayavi2
@@ -168,4 +182,4 @@
  .
  This package provides the rheolef commands. These support input and
  output in various file formats for mesh-generators and numerical data
- visualization systems such as MayaVi, Paraview, and gnuplot.
+ visualization systems such as paraview, and gnuplot.
