=== debian/watch ===
version=3
https://ljk.imag.fr/membres/Pierre.Saramito/rheolef/section-sources.html .*rheolef-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sun, 24 Feb 2013 10:58:06 +0000
