## rheolef 7.1

=== debian/changelog ===
rheolef (7.1-7build1) jammy; urgency=medium

  * No-change rebuild against libmumps-5.4

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 31 Oct 2021 21:29:36 +0000

rheolef (7.1-7) unstable; urgency=medium

  * Team Upload.
  * d/patches
    - gcc11.patch: fix for FTBFS with gcc-11 (Closes: #984317)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 14 Oct 2021 20:15:08 +0000

rheolef (7.1-6) unstable; urgency=medium

  * Team upload.
  * Really properly bump all versioned Breaks+Replaces relationship
    to (<< 7.1-6~). See #984529.

 -- Boyuan Yang <byang@debian.org>  Sat, 13 Mar 2021 11:30:49 -0500

rheolef (7.1-5) unstable; urgency=medium

  * Team upload.
  * Properly write Breaks+Replaces relationship, use librheolef-dev
    instead of incorrect rheolef-dev. Really fixes #984529.

 -- Boyuan Yang <byang@debian.org>  Fri, 12 Mar 2021 15:38:50 -0500

rheolef (7.1-4) unstable; urgency=high

  * Team upload.
  * debian/control: Bump Breaks+Replaces relationship between package
    rheolef and librheolef-dev from (<< 6.1) to (<< 7.1-4~).
    (Closes: #984529)
  * debian/changelog: Remove trailing spaces.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Mar 2021 21:45:18 -0500

rheolef (7.1-3) unstable; urgency=medium

  * d/patches
     - pdf-build-date.patch: fix some latex files (closes: #978088)
       thanks to a patch by Vagrant Cascadian <vagrant@reproducible-builds.org>
     - boost-1-71.patch: fix for boost::mpi when boost >= 1.71

 -- Pierre Saramito <pierre.saramito@imag.fr>  Fri, 1 Jan 2021 10:20:09 +0100

rheolef (7.1-2) unstable; urgency=medium

  * d/patches
     - gnuplot-5-4.patch: fix for gnuplot >= 5.4 (closes: #971933)
     - openmpi-4-0.patch: fix for new openmpi version
     - mumps-4.patch: backward compatibility with mumps (< 5.0)
     - configure.patch: paraview is optionl in build-depends

  * d/control: paraview is optional in build-depends

 -- Pierre Saramito <pierre.saramito@imag.fr>  Fri, 4 Dec 2020 11:25:42 +0100

rheolef (7.1-1) unstable; urgency=medium

  [ Pierre Saramito ]
  * new upstream release 7.1 (major changes):
     - latex doc generation fixed (closes: #944197)
     - cgal-5.0 lib ldflags fixed (closes: #946116)
     - new features: HDG and HHO methods
     - paraview support enhanced
     - doc and website integrated with doxygen
  * d/control and d/*.install: update for the new upstream release 7.1
  * d/compat: set version to 10
  * d/watch: updated

 -- Pierre Saramito <pierre.saramito@imag.fr>  Sun, 22 Mar 2020 10:06:19 +0100

rheolef (7.0-3) unstable; urgency=medium

  * patches
     - gmsh4.patch: support for gmsh-4.x with msh2 file format
     - openmpi2.patch: fix openmpi include path (closes: #939683)

 -- Pierre Saramito <pierre.saramito@imag.fr>  Fri, 6 Sep 2019 14:44:03 +0100
