=== debian/control ===
--- 
+++ 
@@ -3,45 +3,57 @@
 Uploaders: Pierre Saramito <pierre.saramito@imag.fr>
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 10~),
+               bsdmainutils,
+               chrpath,
+               openssh-client,
 	       autoconf,
                automake,
                libtool,
                flex,
                bison,
-               openssh-client,
-               chrpath,
-               bsdmainutils,
-	       libarmadillo-dev,
                libboost-dev,
                libboost-iostreams-dev,
                libboost-mpi-dev,
                libcgal-dev,
+	       libeigen3-dev,
+               libsuitesparse-dev,
                liblapack-dev,
                libscotch-dev,
                libptscotch-dev,
-               libsuitesparse-dev,
                libmumps-scotch-dev,
                libmumps-ptscotch-dev,
-               texinfo,
+               paraview | debhelper,
+	       doxygen,
                texlive-latex-recommended,
                texlive-latex-extra,
                texlive-science,
                texlive-fonts-recommended,
                texlive-font-utils,
+               texlive-extra-utils,
                cm-super,
-               gnuplot (>= 5) | gnuplot5,
-               texlive-extra-utils,
+               gnuplot,
+	       fig2dev | transfig,
+               inkscape,
                ghostscript
+# boost: mpi, serialization, iostream, functional, iterator, optional
+# cgal: geometric pre dicates and octree
+# eigen: sequential sparse matrix solver
+# suitesparse: sequential sparse matrix solver
+# mumps, scotch, lapack: distributed sparse matrix solver
+# paraview (optional): for testing at compile time the paraview version (.vtk high-order FEM format)
+# doxygen: for the reference manual, as .html and unix man pages
 # texlive-latex-recommended : for index, float, listings, etc
 # texlive-latex-extra : for a4wide
 # texlive-science : for amstex, amsmath
 # texlive-fonts-recommended :
 # texlive-font-utils : metatype1 ; epstopdf
 # cm-super : for portable type1 fonts in pdf, usepackage[T1]{fontenc}
-# gnuplot : for figures in documentation
-# ghostscript : for ps2epsi, used for figures
-# texlive-extra-utils : for pdfcrop, used for figures
+# gnuplot : for .plot to .pdf figures conversion
+# fig2dev | transfig: for .fig to .pdf conversion
+# inkscape: for .svg to .pdf conversion
+# texlive-extra-utils : for pdfcrop, used for .pdf figures
+# ghostscript : for gs, used for final .pdf compression
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/science-team/rheolef
 Vcs-Git: https://salsa.debian.org/science-team/rheolef.git
@@ -81,21 +93,21 @@
 Depends: librheolef1(= ${binary:Version}),
          g++,
          make,
-         libarmadillo-dev,
          libboost-dev,
+         libboost-mpi-dev,
          libboost-iostreams-dev,
-         libboost-mpi-dev,
          libcgal-dev,
+         libeigen3-dev,
+         libsuitesparse-dev,
          liblapack-dev,
          libscotch-dev,
          libptscotch-dev,
-         libsuitesparse-dev,
          libmumps-scotch-dev,
          libmumps-ptscotch-dev,
          ${misc:Depends}
 Recommends: rheolef-doc(= ${source:Version})
-Breaks: rheolef (<< 6.4)
-Replaces: rheolef (<< 6.4)
+Breaks: rheolef (<< 7.1-6~)
+Replaces: rheolef (<< 7.1-6~)
 Description: efficient Finite Element environment - development files
  Rheolef is a computer environment that serves as a convenient laboratory for
  computations in applied mathematics involving finite element-like methods.
@@ -154,12 +166,11 @@
          librheolef-dev(= ${binary:Version}),
          rheolef-doc(= ${source:Version})
 Recommends: gmsh,
-            gnuplot-x11 (>= 5) | gnuplot5-x11,
+            gnuplot-x11,
             paraview,
-            paraview-python,
-            mayavi2
-Breaks: rheolef-dev (<< 6.4)
-Replaces: rheolef-dev (<< 6.4)
+            python3-paraview | paraview-python
+Breaks: librheolef-dev (<< 7.1-6~),
+Replaces: librheolef-dev (<< 7.1-6~),
 Description: efficient Finite Element environment
  Rheolef is a computer environment that serves as a convenient laboratory for
  computations in applied mathematics involving finite element-like methods.
