=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 
 override_dh_auto_configure:
 	./bootstrap
-	CXX=g++ CPPFLAGS="${CPPFLAGS}" CXXFLAGS="${CXXFLAGS}" LDFLAGS="${LDFLAGS}" dh_auto_configure -- --disable-optim --enable-debian-packaging --enable-fast-install --disable-ginac --without-trilinos-libdir
+	CXX=g++ CPPFLAGS="${CPPFLAGS}" CXXFLAGS="${CXXFLAGS}" LDFLAGS="${LDFLAGS}" dh_auto_configure -- --disable-optim --enable-debian-packaging --enable-fast-install --disable-ginac --without-trilinos-libdir --enable-permissive
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -87,7 +87,7 @@
 	dh_installchangelogs ChangeLog
 
 override_dh_compress:
-	dh_compress -X.pdf
+	dh_compress -X.pdf -Xexamples/
 
 override_dh_gencontrol:
 	dh_gencontrol --dpkg-gencontrol-params="-Tdebian/$(LIBRHEOLEF).substvars"
