## rheolef 7.2

=== debian/changelog ===
rheolef (7.2-4) unstable; urgency=medium

  [ Pierre Saramito ]
  * d/patches
    - mpich.patch: fix for FTBFS with mpich as default (Closes: #1084831)
      thanks to Adrian Bunk <bunk@debian.org>
    - buildflags.patch: configure.ac respects debug and optim CXXFLAGS
    - communicator.patch: c++ typos fix in communicator.h for arch=i386
  * d/rules
    - dpkg-buildflags debug and optim CXXFLAGS are preserved (Closes: #1041188)
  * d/control
    - Build-Depends: gnuplot-nox instead of gnuplot
    - Recommends:    gnuplot-qt  instead of gnuplot
  * d/rheolef.lintian-overrides
    d/librheolef-dev.lintian-overrides
    - attempt to avoid groff artifacts of recent releases

 -- Pierre Saramito <pierre.saramito@imag.fr>  Tue, 1 Apr 2025 16:03:04 +0200

rheolef (7.2-3) unstable; urgency=medium

  * Team upload.
  * Replace transitional bsdmainutils with bsdextrautils.

  [ Debian Janitor ]
  * Team upload.
  * Apply multi-arch hints. + rheolef-doc: Add Multi-Arch: foreign.

 -- Bastian Germann <bage@debian.org>  Tue, 08 Aug 2023 23:44:50 +0200

rheolef (7.2-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Drop dependency on install-info. (Closes: #1013848)

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Jul 2022 16:25:24 -0400

rheolef (7.2-1) unstable; urgency=medium

  [ Pierre Saramito ]
  * new upstream release 7.2 (major changes):
    - HDG and HHO methods improved
    - Raviart-Thomas element
    - new tensor diffusion and weighted DG examples
    - new scotch-7.0.1 library supported (closes: #1007118)
  * d/control: Build-Depends, inkscape replaced by cairosvg
  * d/patches: empty, since the new upstream version integrates them
    thanks to patches by Nilesh Patra <nilesh@debian.org>
  * d/u/metadata: update
  * d/rheolef.install and d/librheolef-dev.install (closes: #984965)

  [ Raphael Laboissiere ]
  * d/control:
    - bump Standards-Version to 4.5.1
    - add Rules-Requires-Root: no
    - Build-depend on debhelper-compat instead of using debian/compat
  * d/librheolef1.lintian-overrides: new file
  * d/librheolef-dev.lintian-overrides: drop unused override
  * d/clean: new file
  * d/s/options: new file
  * d/u/metadata: new file
  * d/changelog: remove trailing whithespace

 -- Pierre Saramito <pierre.saramito@imag.fr>  Mon, 30 May 2022 9:53:31 +0200
