=== debian/control ===
--- 
+++ 
@@ -3,39 +3,40 @@
 Uploaders: Pierre Saramito <pierre.saramito@imag.fr>
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 10~),
-               bsdmainutils,
+Build-Depends: debhelper-compat (= 12),
+               bsdextrautils,
                chrpath,
                openssh-client,
 	       autoconf,
                automake,
                libtool,
                flex,
+	       libfl-dev,
                bison,
                libboost-dev,
                libboost-iostreams-dev,
                libboost-mpi-dev,
                libcgal-dev,
+               liblapack-dev,
 	       libeigen3-dev,
                libsuitesparse-dev,
-               liblapack-dev,
                libscotch-dev,
                libptscotch-dev,
                libmumps-scotch-dev,
                libmumps-ptscotch-dev,
-               paraview | debhelper,
-	       doxygen,
                texlive-latex-recommended,
                texlive-latex-extra,
                texlive-science,
                texlive-fonts-recommended,
                texlive-font-utils,
                texlive-extra-utils,
+               ghostscript,
+               poppler-utils,
                cm-super,
-               gnuplot,
-	       fig2dev | transfig,
-               inkscape,
-               ghostscript
+	       doxygen,
+               gnuplot-nox,
+	       fig2dev,
+               cairosvg | inkscape
 # boost: mpi, serialization, iostream, functional, iterator, optional
 # cgal: geometric pre dicates and octree
 # eigen: sequential sparse matrix solver
@@ -48,16 +49,19 @@
 # texlive-science : for amstex, amsmath
 # texlive-fonts-recommended :
 # texlive-font-utils : metatype1 ; epstopdf
+# texlive-extra-utils : for pdfcrop, used for .pdf figures
 # cm-super : for portable type1 fonts in pdf, usepackage[T1]{fontenc}
-# gnuplot : for .plot to .pdf figures conversion
-# fig2dev | transfig: for .fig to .pdf conversion
-# inkscape: for .svg to .pdf conversion
-# texlive-extra-utils : for pdfcrop, used for .pdf figures
 # ghostscript : for gs, used for final .pdf compression
-Standards-Version: 4.1.3
+# poppler-utils : for pdffonts
+# gnuplot-nox : for .plot to .pdf figures conversion
+# fig2dev : for .fig to .pdf conversion
+# cairosvg : for .svg to .pdf conversion
+# doxygen : for html doc from source code
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/rheolef
 Vcs-Git: https://salsa.debian.org/science-team/rheolef.git
 Homepage: http://ljk.imag.fr/membres/Pierre.Saramito/rheolef
+Rules-Requires-Root: no
 
 Package: librheolef1
 Architecture: any
@@ -106,8 +110,8 @@
          libmumps-ptscotch-dev,
          ${misc:Depends}
 Recommends: rheolef-doc(= ${source:Version})
-Breaks: rheolef (<< 7.1-6~)
-Replaces: rheolef (<< 7.1-6~)
+Breaks: rheolef (<< 7.1-7~)
+Replaces: rheolef (<< 7.1-7~)
 Description: efficient Finite Element environment - development files
  Rheolef is a computer environment that serves as a convenient laboratory for
  computations in applied mathematics involving finite element-like methods.
@@ -134,9 +138,9 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends},
-         install-info
 Conflicts: librheolef-doc
 Replaces: librheolef-doc
+Multi-Arch: foreign
 Description: efficient Finite Element environment - documentation
  Rheolef is a computer environment that serves as a convenient laboratory for
  computations in applied mathematics involving finite element-like methods.
@@ -166,11 +170,11 @@
          librheolef-dev(= ${binary:Version}),
          rheolef-doc(= ${source:Version})
 Recommends: gmsh,
-            gnuplot-x11,
+            gnuplot-qt,
             paraview,
             python3-paraview | paraview-python
-Breaks: librheolef-dev (<< 7.1-6~),
-Replaces: librheolef-dev (<< 7.1-6~),
+Breaks: librheolef-dev (<< 7.1-7~),
+Replaces: librheolef-dev (<< 7.1-7~),
 Description: efficient Finite Element environment
  Rheolef is a computer environment that serves as a convenient laboratory for
  computations in applied mathematics involving finite element-like methods.
