=== debian/rules ===
--- 
+++ 
@@ -22,9 +22,9 @@
 
 # compilation flags
 CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
-CXXFLAGS := -O3 -g $(shell dpkg-buildflags --get CXXFLAGS | sed -e 's/-O2/-O3/' -e 's/-g//')
+CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
 LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS) $(CXXFLAGS)
-CFLAGS   := $(CXXFLAGS})
+CFLAGS   := $(CXXFLAGS)
 
 %:
 	dh $@
